ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('sortilege:limitite', 1),
    [
      '#kubejs:trinket_recycling'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:iron_ingot', 1),
    [
      'kubejs:scrap_metal',
      'kubejs:scrap_metal',
      'kubejs:scrap_metal',
      'kubejs:scrap_metal'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 1),
    [
      'minecraft:turtle_helmet'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 1),
    [
      'sortilege:witch_hat'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('kubejs:diamond_shard', 1),
    [
      'irons_spellbooks:tarnished_helmet'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('kubejs:diamond_shard', 1),
    [
      'minecraft:trident'
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:diamond', 1),
    [
      'sortilege:limitite',
      'minecraft:lapis_lazuli',
    ]
  );
})

ServerEvents.recipes(event => {
  
  event.shapeless(
    Item.of('minecraft:emerald', 1),
    [
      'sortilege:limitite',
      'minecraft:experience_bottle',
    ]
  );
})

ServerEvents.tags('item', e => {
    e.add('kubejs:trinket_recycling', [

        'irons_spellbooks:scroll',

        'summonerscrolls:summon_sword',
        'summonerscrolls:summon_axe',
        'summonerscrolls:summon_pickaxe',
        'summonerscrolls:summon_shovel',
        'summonerscrolls:summon_hoe',

        'summonerscrolls:summon_bow',
        'summonerscrolls:summon_arrow',

        'artifacts:umbrella',
        'artifacts:plastic_drinking_hat',
        'artifacts:snorkel',
        'artifacts:night_vision_goggles',
        'artifacts:villager_hat',
        'artifacts:superstitious_hat',
        'artifacts:cowboy_hat',
        'artifacts:anglers_hat',
        'artifacts:lucky_scarf',
        'artifacts:scarf_of_invisibility',
        'artifacts:cross_necklace',
        'artifacts:panic_necklace',
        'artifacts:shock_pendant',
        'artifacts:flame_pendant',
        'artifacts:thorn_pendant',
        'artifacts:charm_of_sinking',
        'artifacts:cloud_in_a_bottle',
        'artifacts:obsidian_skull',
        'artifacts:antidote_vessel',
        'artifacts:universal_attractor',
        'artifacts:crystal_heart',
        'artifacts:helium_flamingo',
        'artifacts:chorus_totem',
        'artifacts:digging_claws',
        'artifacts:feral_claws',
        'artifacts:power_glove',
        'artifacts:fire_gauntlet',
        'artifacts:pocket_piston',
        'artifacts:vampiric_glove',
        'artifacts:golden_hook',
        'artifacts:onion_ring',
        'artifacts:pickaxe_heater',
        'artifacts:aqua_dashers',
        'artifacts:bunny_hoppers',
        'artifacts:kitty_slippers',
        'artifacts:running_shoes',
        'artifacts:snowshoes',
        'artifacts:steadfast_spikes',
        'artifacts:flippers',
        'artifacts:rooted_boot',
        'uniqueaccessories:accessory_box',
        'uniqueaccessories:ancient_chisel',
        'uniqueaccessories:all_purpose_seasoning',
        'uniqueaccessories:amplifier_stone',
        'uniqueaccessories:anklet_of_fortune',
        'uniqueaccessories:black_belt',
        'uniqueaccessories:blade_shoes',
        'uniqueaccessories:bloody_knife',
        'uniqueaccessories:burning_soul',
        'uniqueaccessories:championship_belt',
        'uniqueaccessories:cursed_doll_head',
        'uniqueaccessories:devils_eyeball',
        'uniqueaccessories:durable_spring',
        'uniqueaccessories:fossil_shark_tooth',
        'uniqueaccessories:golden_egg_charm',
        'uniqueaccessories:hero_emblem',
        'uniqueaccessories:large_paddle',
        'uniqueaccessories:life_jacket_belt',
        'uniqueaccessories:magick_quiver',
        'uniqueaccessories:master_ninja_tabi',
        'uniqueaccessories:moon_stone',
        'uniqueaccessories:ninjutsu_manual',
        'uniqueaccessories:rocket_shoes',
        'uniqueaccessories:rose_of_temptation',
        'uniqueaccessories:royal_honeycomb',
        'uniqueaccessories:sharp_fishing_hook',
        'uniqueaccessories:shiny_stone',
        'uniqueaccessories:silver_cat_tail',
        'uniqueaccessories:small_propulsion_device',
        'uniqueaccessories:snow_golem_doll',
        'uniqueaccessories:soul_gem',
        'uniqueaccessories:starved_wolf_skull',
        'uniqueaccessories:still_beating_heart',
        'uniqueaccessories:strong_sticky_slime_ball',
        'uniqueaccessories:sun_stone',
        'uniqueaccessories:supreme_meat',
        'uniqueaccessories:survival_belt',
        'uniqueaccessories:suspicious_mushroom',
        'uniqueaccessories:tabi',
        'uniqueaccessories:tool_belt',
        'uniqueaccessories:waist_warmer',
        'uniqueaccessories:withered_hear'

    ])
})